curl --request POST \
--url https://api.getcargo.io/v1/orchestration/plays \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changeKinds": [
"added"
],
"runCreationRule": "always",
"description": "<string>",
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"trackingColumnSlugs": [
"<string>"
],
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"play": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"segmentUuid": "<string>",
"changeKinds": [
"<string>"
],
"runCreationRule": "always",
"name": "<string>",
"description": "<string>",
"schedule": {
"type": "<string>",
"temporalScheduleWorkflowId": "<string>",
"meta": {}
},
"isEnabled": true,
"healthThreshold": 123,
"healthAlertActions": [
{
"actionSlug": "<string>",
"connectorUuid": "<string>",
"config": {}
}
],
"folderUuid": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Create a new play
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/plays \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changeKinds": [
"added"
],
"runCreationRule": "always",
"description": "<string>",
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"trackingColumnSlugs": [
"<string>"
],
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"play": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"segmentUuid": "<string>",
"changeKinds": [
"<string>"
],
"runCreationRule": "always",
"name": "<string>",
"description": "<string>",
"schedule": {
"type": "<string>",
"temporalScheduleWorkflowId": "<string>",
"meta": {}
},
"isEnabled": true,
"healthThreshold": 123,
"healthAlertActions": [
{
"actionSlug": "<string>",
"connectorUuid": "<string>",
"config": {}
}
],
"folderUuid": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Play name.
Model identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Change kinds to include.
added, updated, removed, unchanged Run creation rule.
always, once, noConcurrency Play description.
Segment filter criteria.
Show child attributes
Sort criteria.
Show child attributes
Maximum number of records.
Tracking column identifiers.
Play schedule configuration.
Show child attributes
Folder identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Created play details.
Show child attributes
Was this page helpful?